org.apache.ignite.internal.processors.igfs

## Class IgfsInputStreamAdapter

- java.lang.Object
- - java.io.InputStream
  - - org.apache.ignite.igfs.IgfsInputStream
    - - org.apache.ignite.internal.processors.igfs.IgfsInputStreamAdapter

All Implemented Interfaces:
  Closeable, AutoCloseable, IgfsSecondaryFileSystemPositionedReadable

Direct Known Subclasses:
  IgfsInputStreamImpl

    public abstract class IgfsInputStreamAdapter
    extends IgfsInputStream
    implements IgfsSecondaryFileSystemPositionedReadable

Implementation adapter providing necessary methods.

### Constructor Summary

Constructors
Constructor and Description
`IgfsInputStreamAdapter()`

### Method Summary

Methods
`abstract IgfsFileInfo` `fileInfo()` Gets file info for opened file.
`long` `length()` Gets file length during file open.
`abstract byte[][]` `readChunks(long pos, int len)` Reads bytes from given position.

### Methods inherited from class org.apache.ignite.igfs.IgfsInputStream

`position, read, readFully, readFully, seek`

### Methods inherited from class java.io.InputStream

`available, close, mark, markSupported, read, read, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.igfs.secondary.IgfsSecondaryFileSystemPositionedReadable

`read`

### Methods inherited from interface java.io.Closeable

`close`

### Constructor Detail

#### IgfsInputStreamAdapter

    public IgfsInputStreamAdapter()

### Method Detail

#### length

    public long length()

Gets file length during file open.

Specified by:
  `length` in class `IgfsInputStream`
Returns:
  File length.

#### fileInfo

    public abstract IgfsFileInfo fileInfo()

Gets file info for opened file.

Returns:
  File info.

#### readChunks

    public abstract byte[][] readChunks(long pos,
                      int len)
                                 throws IOException

Reads bytes from given position.

Parameters:
  `pos` - Position to read from.
  `len` - Number of bytes to read.
Returns:
  Array of chunks with respect to chunk file representation.
Throws:
  `IOException` - If read failed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015